Bug 479943 - installing dapl-utils or compat-dapl-utils does not trigger the install of all the rpms needed
installing dapl-utils or compat-dapl-utils does not trigger the install of al...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dapl (Show other bugs)
5.3
All Linux
low Severity high
: rc
: ---
Assigned To: Doug Ledford
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-14 03:14 EST by Mehdi Bozzo-Rey
Modified: 2009-09-02 05:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:51:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mehdi Bozzo-Rey 2009-01-14 03:14:50 EST
Description of problem: dapltest / dapltest-1.2 fail because of missing libs


Version-Release number of selected component (if applicable): 5.3 rc2


How reproducible:


Steps to Reproduce:
1. install dapl-utils / compat-dapl-utils
2.run dapltest
3.
  
Actual results: fails


Expected results: pass


Additional info: libmthca is needed in my case:


[root@compute-0-12 examples]# dapltest-1.2
libibverbs: Warning: no userspace device-specific driver found for /sys/class/infiniband_verbs/uverbs0
libibverbs: Warning: no userspace device-specific driver found for /sys/class/infiniband_verbs/uverbs0
libibverbs: Warning: no userspace device-specific driver found for /sys/class/infiniband_verbs/uverbs0
*** glibc detected *** dapltest-1.2: corrupted double-linked list: 0x000000000d29bb50 ***
======= Backtrace: =========
/lib64/libc.so.6[0x312f271b0d]
/lib64/libc.so.6(cfree+0x8c)[0x312f27590c]
/usr/lib64/libibverbs.so.1[0x2b4c1e2ef87a]
/usr/lib64/libibverbs.so.1(ibv_get_device_list+0x9b)[0x2b4c1e2ee7ab]
/usr/lib64/librdmacm.so.1[0x2b4c1e71292f]
/usr/lib64/librdmacm.so.1(rdma_create_id+0x47)[0x2b4c1e713127]
/usr/lib64/libdaplcma.so.1[0x2b4c1e50535a]
/usr/lib64/libdaplcma.so.1[0x2b4c1e500303]
/usr/lib64/libdat.so.1(dat_ia_openv+0x176)[0x2b4c1e0e0166]
dapltest-1.2[0x41023a]
dapltest-1.2[0x4022ea]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x312f21d974]
dapltest-1.2[0x4020e9]
======= Memory map: ========
00400000-00423000 r-xp 00000000 fd:00 17132176                           /usr/bin/dapltest-1.2
00623000-00624000 rw-p 00023000 fd:00 17132176                           /usr/bin/dapltest-1.2
0d294000-0d2b5000 rw-p 0d294000 00:00 0                                  [heap]
40a2e000-40a2f000 ---p 40a2e000 00:00 0
40a2f000-4142f000 rw-p 40a2f000 00:00 0
312ee00000-312ee1c000 r-xp 00000000 fd:00 524593                         /lib64/ld-2.5.so
312f01b000-312f01c000 r--p 0001b000 fd:00 524593                         /lib64/ld-2.5.so
312f01c000-312f01d000 rw-p 0001c000 fd:00 524593                         /lib64/ld-2.5.so
312f200000-312f34c000 r-xp 00000000 fd:00 524594                         /lib64/libc-2.5.so
312f34c000-312f54c000 ---p 0014c000 fd:00 524594                         /lib64/libc-2.5.so
312f54c000-312f550000 r--p 0014c000 fd:00 524594                         /lib64/libc-2.5.so
312f550000-312f551000 rw-p 00150000 fd:00 524594                         /lib64/libc-2.5.so
312f551000-312f556000 rw-p 312f551000 00:00 0
312fa00000-312fa02000 r-xp 00000000 fd:00 524596                         /lib64/libdl-2.5.so
312fa02000-312fc02000 ---p 00002000 fd:00 524596                         /lib64/libdl-2.5.so
312fc02000-312fc03000 r--p 00002000 fd:00 524596                         /lib64/libdl-2.5.so
312fc03000-312fc04000 rw-p 00003000 fd:00 524596                         /lib64/libdl-2.5.so
312fe00000-312fe16000 r-xp 00000000 fd:00 524597                         /lib64/libpthread-2.5.so
312fe16000-3130015000 ---p 00016000 fd:00 524597                         /lib64/libpthread-2.5.so
3130015000-3130016000 r--p 00015000 fd:00 524597                         /lib64/libpthread-2.5.so
3130016000-3130017000 rw-p 00016000 fd:00 524597                         /lib64/libpthread-2.5.so
3130017000-313001b000 rw-p 3130017000 00:00 0
3140000000-314000d000 r-xp 00000000 fd:00 524617                         /lib64/libgcc_s-4.1.2-20080825.so.1
314000d000-314020d000 ---p 0000d000 fd:00 524617                         /lib64/libgcc_s-4.1.2-20080825.so.1
314020d000-314020e000 rw-p 0000d000 fd:00 524617                         /lib64/libgcc_s-4.1.2-20080825.so.1
2aaaac000000-2aaaac021000 rw-p 2aaaac000000 00:00 0
2aaaac021000-2aaab0000000 ---p 2aaaac021000 00:00 0
2b4c1e0c3000-2b4c1e0c4000 rw-p 2b4c1e0c3000 00:00 0
2b4c1e0dd000-2b4c1e0de000 rw-p 2b4c1e0dd000 00:00 0
2b4c1e0de000-2b4c1e0e7000 r-xp 00000000 fd:00 17132163                   /usr/lib64/libdat.so.1.0.2
2b4c1e0e7000-2b4c1e2e6000 ---p 00009000 fd:00 17132163                   /usr/lib64/libdat.so.1.0.2
2b4c1e2e6000-2b4c1e2e7000 rw-p 00008000 fd:00 17132163                   /usr/lib64/libdat.so.1.0.2
2b4c1e2e7000-2b4c1e2e8000 rw-p 2b4c1e2e7000 00:00 0
2b4c1e2e8000-2b4c1e2f4000 r-xp 00000000 fd:00 17132095                   /usr/lib64/libibverbs.so.1.0.0
2b4c1e2f4000-2b4c1e4f3000 ---p 0000c000 fd:00 17132095                   /usr/lib64/libibverbs.so.1.0.0
2b4c1e4f3000-2b4c1e4f4000 rw-p 0000b000 fd:00 17132095                   /usr/lib64/libibverbs.so.1.0.0
2b4c1e4f4000-2b4c1e4f6000 rw-p 2b4c1e4f4000 00:00 0
2b4c1e4f6000-2b4c1e510000 r-xp 00000000 fd:00 17132159                   /usr/lib64/libdaplcma.so.1.0.2
2b4c1e510000-2b4c1e710000 ---p 0001a000 fd:00 17132159                   /usr/lib64/libdaplcma.so.1.0.2
2b4c1e710000-2b4c1e711000 rw-p 0001a000 fd:00 17132159                   /usr/lib64/libdaplcma.so.1.0.2
2b4c1e711000-2b4c1e716000 r-xp 00000000 fd:00 17132155                   /usr/lib64/librdmacm.so.1.0.0
2b4c1e716000-2b4c1e915000 ---p 00005000 fd:00 17132155                   /usr/lib64/librdmacm.so.1.0.0
2b4c1e915000-2b4c1e916000 rw-p 00004000 fd:00 17132155                   /usr/lib64/librdmacm.so.1.0.0
7fff8c9d1000-7fff8c9e6000 rw-p 7ffffffea000 00:00 0                      [stack]
ffffffffff600000-ffffffffffe00000 ---p 00000000 00:00 0                  [vdso]
Aborted
[root@compute-0-12 examples]# yum install dapl-utils
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package dapl-utils.x86_64 0:2.0.13-4.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================================================
 Package                       Arch                      Version                          Repository                 Size
==========================================================================================================================
Installing:
 dapl-utils                    x86_64                    2.0.13-4.el5                     rhel53                     93 k

Transaction Summary
==========================================================================================================================
Install      1 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 93 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : dapl-utils                                        [1/1]

Installed: dapl-utils.x86_64 0:2.0.13-4.el5
Complete!
[root@compute-0-12 examples]# dapltest
libibverbs: Warning: no userspace device-specific driver found for /sys/class/infiniband_verbs/uverbs0
libibverbs: Warning: no userspace device-specific driver found for /sys/class/infiniband_verbs/uverbs0
libibverbs: Warning: no userspace device-specific driver found for /sys/class/infiniband_verbs/uverbs0
*** glibc detected *** dapltest: corrupted double-linked list: 0x000000000e2c6c40 ***
======= Backtrace: =========
/lib64/libc.so.6[0x312f271b0d]
/lib64/libc.so.6(cfree+0x8c)[0x312f27590c]
/usr/lib64/libibverbs.so.1[0x2b7afceb987a]
/usr/lib64/libibverbs.so.1(ibv_get_device_list+0x9b)[0x2b7afceb87ab]
/usr/lib64/librdmacm.so.1[0x2b7afd2dd92f]
/usr/lib64/librdmacm.so.1(rdma_create_id+0x47)[0x2b7afd2de127]
/usr/lib64/libdaplofa.so.2[0x2b7afd0cfa02]
/usr/lib64/libdaplofa.so.2[0x2b7afd0ca8d3]
/usr/lib64/libdat2.so.2(dat_ia_openv+0x183)[0x2b7afccaa2a3]
dapltest[0x410377]
dapltest[0x40228a]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x312f21d974]
dapltest[0x402089]
======= Memory map: ========
00400000-00423000 r-xp 00000000 fd:00 17132184                           /usr/bin/dapltest
00623000-00624000 rw-p 00023000 fd:00 17132184                           /usr/bin/dapltest
0e2bf000-0e2e0000 rw-p 0e2bf000 00:00 0                                  [heap]
40837000-40838000 ---p 40837000 00:00 0
40838000-41238000 rw-p 40838000 00:00 0
312ee00000-312ee1c000 r-xp 00000000 fd:00 524593                         /lib64/ld-2.5.so
312f01b000-312f01c000 r--p 0001b000 fd:00 524593                         /lib64/ld-2.5.so
312f01c000-312f01d000 rw-p 0001c000 fd:00 524593                         /lib64/ld-2.5.so
312f200000-312f34c000 r-xp 00000000 fd:00 524594                         /lib64/libc-2.5.so
312f34c000-312f54c000 ---p 0014c000 fd:00 524594                         /lib64/libc-2.5.so
312f54c000-312f550000 r--p 0014c000 fd:00 524594                         /lib64/libc-2.5.so
312f550000-312f551000 rw-p 00150000 fd:00 524594                         /lib64/libc-2.5.so
312f551000-312f556000 rw-p 312f551000 00:00 0
312fa00000-312fa02000 r-xp 00000000 fd:00 524596                         /lib64/libdl-2.5.so
312fa02000-312fc02000 ---p 00002000 fd:00 524596                         /lib64/libdl-2.5.so
312fc02000-312fc03000 r--p 00002000 fd:00 524596                         /lib64/libdl-2.5.so
312fc03000-312fc04000 rw-p 00003000 fd:00 524596                         /lib64/libdl-2.5.so
312fe00000-312fe16000 r-xp 00000000 fd:00 524597                         /lib64/libpthread-2.5.so
312fe16000-3130015000 ---p 00016000 fd:00 524597                         /lib64/libpthread-2.5.so
3130015000-3130016000 r--p 00015000 fd:00 524597                         /lib64/libpthread-2.5.so
3130016000-3130017000 rw-p 00016000 fd:00 524597                         /lib64/libpthread-2.5.so
3130017000-313001b000 rw-p 3130017000 00:00 0
3140000000-314000d000 r-xp 00000000 fd:00 524617                         /lib64/libgcc_s-4.1.2-20080825.so.1
314000d000-314020d000 ---p 0000d000 fd:00 524617                         /lib64/libgcc_s-4.1.2-20080825.so.1
314020d000-314020e000 rw-p 0000d000 fd:00 524617                         /lib64/libgcc_s-4.1.2-20080825.so.1
2aaaac000000-2aaaac021000 rw-p 2aaaac000000 00:00 0
2aaaac021000-2aaab0000000 ---p 2aaaac021000 00:00 0
2b7afcc8d000-2b7afcc8e000 rw-p 2b7afcc8d000 00:00 0
2b7afcca7000-2b7afcca8000 rw-p 2b7afcca7000 00:00 0
2b7afcca8000-2b7afccb1000 r-xp 00000000 fd:00 17132183                   /usr/lib64/libdat2.so.2.0.0
2b7afccb1000-2b7afceb0000 ---p 00009000 fd:00 17132183                   /usr/lib64/libdat2.so.2.0.0
2b7afceb0000-2b7afceb1000 rw-p 00008000 fd:00 17132183                   /usr/lib64/libdat2.so.2.0.0
2b7afceb1000-2b7afceb2000 rw-p 2b7afceb1000 00:00 0
2b7afceb2000-2b7afcebe000 r-xp 00000000 fd:00 17132095                   /usr/lib64/libibverbs.so.1.0.0
2b7afcebe000-2b7afd0bd000 ---p 0000c000 fd:00 17132095                   /usr/lib64/libibverbs.so.1.0.0
2b7afd0bd000-2b7afd0be000 rw-p 0000b000 fd:00 17132095                   /usr/lib64/libibverbs.so.1.0.0
2b7afd0be000-2b7afd0c0000 rw-p 2b7afd0be000 00:00 0
2b7afd0c0000-2b7afd0dc000 r-xp 00000000 fd:00 17132179                   /usr/lib64/libdaplofa.so.2.0.0
2b7afd0dc000-2b7afd2db000 ---p 0001c000 fd:00 17132179                   /usr/lib64/libdaplofa.so.2.0.0
2b7afd2db000-2b7afd2dc000 rw-p 0001b000 fd:00 17132179                   /usr/lib64/libdaplofa.so.2.0.0
2b7afd2dc000-2b7afd2e1000 r-xp 00000000 fd:00 17132155                   /usr/lib64/librdmacm.so.1.0.0
2b7afd2e1000-2b7afd4e0000 ---p 00005000 fd:00 17132155                   /usr/lib64/librdmacm.so.1.0.0
2b7afd4e0000-2b7afd4e1000 rw-p 00004000 fd:00 17132155                   /usr/lib64/librdmacm.so.1.0.0
7fffade08000-7fffade1d000 rw-p 7ffffffea000 00:00 0                      [stack]
ffffffffff600000-ffffffffffe00000 ---p 00000000 00:00 0                  [vdso]
Aborted
[root@compute-0-12 examples]# rpm -qa | grep libmthca
[root@compute-0-12 examples]# yum install libmthca
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package libmthca.x86_64 0:1.0.5-1.el5 set to be updated
---> Package libmthca.i386 0:1.0.5-1.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================================================
 Package                      Arch                       Version                         Repository                  Size
==========================================================================================================================
Installing:
 libmthca                     x86_64                     1.0.5-1.el5                     rhel53                      33 k
 libmthca                     i386                       1.0.5-1.el5                     rhel53                      34 k

Transaction Summary
==========================================================================================================================
Install      2 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 67 k
Is this ok [y/N]: y
Downloading Packages:
--------------------------------------------------------------------------------------------------------------------------
Total                                                                                      37 MB/s |  67 kB     00:00
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : libmthca                                          [1/2]
  Installing     : libmthca                                          [2/2]

Installed: libmthca.x86_64 0:1.0.5-1.el5 libmthca.i386 0:1.0.5-1.el5
Complete!
[root@compute-0-12 examples]# dapltest
Dapltest: Service Point Ready - ofa-v2-ib0

[root@compute-0-12 examples]#
Comment 1 Doug Ledford 2009-04-22 18:26:53 EDT
A psuedo requires has been added to libibverbs to make it require libibverbs-driver.  All of the low level driver libraries have been modified to provide this item.  However, it is still up to the user to make sure they have the correct low level driver for their hardware installed.
Comment 4 Gurhan Ozen 2009-07-13 16:34:36 EDT
Verified for 5.4
Comment 6 errata-xmlrpc 2009-09-02 05:51:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1304.html

Note You need to log in before you can comment on or make changes to this bug.